Bug 481274

Summary: KVM running on 32-bit host on 64-bit CPU passes EM64T flag to guests
Product: [Fedora] Fedora Reporter: Ralf Ertzinger <redhat-bugzilla>
Component: qemuAssignee: Justin M. Forbes <jforbes>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 11CC: berrange, clalance, dwmw2, gcosta, markmc, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-28 07:08:29 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Ralf Ertzinger 2009-01-23 06:42:40 EST
Description of problem:
I am running a 32-bit kernel (kernel-PAE) on a 64-bit capable CPU (Intel E8400).
kvm guests on this system see the EM64T flag of the host CPU in their virtual CPU, which leads some of them to assume that they can start a 64-bit capable kernel (opensolaris does this, for example).

This does not end well (the guest os crashes).

Version-Release number of selected component (if applicable):
kvm-83-2.fc11.i386

How reproducible:
Always

Steps to Reproduce:
1. Install Opensolaris (I tried with nevada 103, the install itself will succeed, as there is no 64-bit installer)
2. Reboot the newly installed system
3.
  
Actual results:
OS does not boot, as it tries to start a 64-bit kernel. Manually forcing a 32-bit kernel works.

Expected results:
Automatic select of 32-bit kernel

Additional info:
Comment 1 Glauber Costa 2009-01-23 14:34:01 EST
There's an easy fix for this, but looking a bit deeper, the current situation with
respect to cpuid handling is quite messy. I plan on rewriting it on Monday, and will let you know.
Comment 2 Daniel Berrange 2009-03-11 08:39:51 EDT
Reassigning: The kvm package no longer exists in rawhide/F11, since it is now part of 'qemu'.
Comment 3 Fedora Admin XMLRPC Client 2009-05-07 08:12:18 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2009-05-07 08:13:14 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2009-05-07 08:13:41 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2009-05-07 13:58:06 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Bug Zapper 2009-06-09 06:50:53 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora Admin XMLRPC Client 2010-03-09 11:53:20 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2010-03-09 12:17:13 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Bug Zapper 2010-04-27 08:47:04 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-06-28 07:08:29 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.